//
//  AppDelegate.m
//  nsDateFormatterPuzzle
//
//  Created by Bernardo Hoehl on 25.08.2012.
//  Copyright (c) 2012 Bernardo Hoehl. All rights reserved.
//

#import "AppDelegate.h"

@implementation AppDelegate

- (void)applicationDidFinishLaunching:(NSNotification *)aNotification
{
    NSArray *unformattedDatesArray = [[NSArray alloc]initWithObjects:@"2011-09-18",@"2011-10-16",@"2011-11-13",@"2011-12-11",@"2012-01-08",@"2012-02-05", nil];
    // declare a string:
    NSString *resultedString = @"";
    int ii = 0;
    NSUInteger items = [unformattedDatesArray count];
    for (ii=0; ii<items; ii++) {
        NSLog(@"original item # %d = %@",ii,[unformattedDatesArray objectAtIndex:ii]);
        resultedString = [resultedString stringByAppendingString: @"original item # "];
        resultedString = [resultedString stringByAppendingString: [NSString stringWithFormat: @"%d = ",ii]];
        resultedString = [resultedString stringByAppendingString: [unformattedDatesArray objectAtIndex:ii]];
        resultedString = [resultedString stringByAppendingString: [NSString stringWithFormat:@"\n"]];
    }
    NSDateFormatter *originalFormat = [[NSDateFormatter alloc] init];
    [originalFormat setDateFormat:@"yyyy-MM-dd"]; // hh:mm:ss
    NSDateFormatter *newFormat = [[NSDateFormatter alloc] init];
    [newFormat setDateFormat:@"dd/MM/yyyy"]; // hh:mm:ss
    
    NSString *formattedDate;
    for (ii=0; ii<items; ii++) {
        formattedDate = [newFormat stringFromDate:[originalFormat dateFromString:[unformattedDatesArray objectAtIndex:ii]]];
        NSLog(@"formatted item # %d = %@",ii,formattedDate);
        resultedString = [resultedString stringByAppendingString: @"formatted item # "];
        resultedString = [resultedString stringByAppendingString: [NSString stringWithFormat: @"%d = ",ii]];
        resultedString = [resultedString stringByAppendingString: (formattedDate == nil ? @"ERROR" : formattedDate)];
        resultedString = [resultedString stringByAppendingString: [NSString stringWithFormat:@"\n"]];
    }
    
    [resultingStringTextView insertText:resultedString];
    
}


@end
